Bug 949087 - xmlto pdf fails with \AppendGraphicsExtensions tex error
xmlto pdf fails with \AppendGraphicsExtensions tex error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 16:29 EDT by Frank Ch. Eigler
Modified: 2016-07-19 06:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:09:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2013-04-05 16:29:41 EDT
% cat mini.xml
<?xml version="1.0" encoding="UTF-8"?>
 <book xml:id="simple_book" xmlns="http://docbook.org/ns/docbook" version="5.0">
   <title>Very simple book</title>
   <chapter xml:id="chapter_1">
     <title>Chapter 1</title>
     <para>Hello world!</para>
     <para>I hope that your day is proceeding <emphasis>splendidly</emphasis>!</para>
   </chapter>
   <chapter xml:id="chapter_2">
     <title>Chapter 2</title>
     <para>Hello again, world!</para>
   </chapter>
 </book>

% xmlto --skip-validation pdf mini.xml

Note: namesp. cut : stripped namespace before processing           Very simple book
Note: namesp. cut : processing stripped document                   Very simple book
Making portrait pages on letter paper (215.9mmx279.4mm)
This is pdfTeX, Version 3.1415926-2.5-1.40.13 (TeX Live 2013/dev)
 restricted \write18 enabled.
entering extended mode
(./tmp.fo
LaTeX2e <2011/06/27>
Babel <v3.8m> and hyphenation patterns for english, dumylang, nohyphenation, lo
aded.
xmltex version: 2002/06/25 v1.9 (Exp):
(/usr/share/texlive/texmf-dist/tex/xmltex/base/xmltex.cfg) 
No File: tmp.cfg
(/usr/share/texlive/texmf-local/texmf-compat/tex/xmltex/passivetex/fotex.xmt)
(/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo))
(/usr/share/texlive/texmf-local/texmf-compat/tex/xmltex/passivetex/fotex.sty
)
No file tmp.aux.
(/usr/share/texlive/texmf-dist/tex/latex/tipa/t3ptm.fd)
(/usr/share/texlive/texmf-dist/tex/latex/base/ts1cmr.fd)
(/usr/share/texlive/texmf-dist/tex/latex/psnfss/t1ptm.fd)
(/usr/share/texlive/texmf-dist/tex/context/base/supp-pdf.mkii
[Loading MPS to PDF converter (version 2006.09.02).]
) (/usr/share/texlive/texmf-dist/tex/latex/oberdiek/epstopdf-base.sty
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/grfext.sty)
! Undefined control sequence.
<recently read> \AppendGraphicsExtensions 
                                          
l.451 \fi
         
? 
! Emergency stop.
<recently read> \AppendGraphicsExtensions 
                                          
l.451 \fi
         
!  ==> Fatal error occurred, no output PDF file produced!


% xmlto --skip-validation --with-fop pdf mini.xml
[succeeds in creating mini.pdf]
Comment 1 Ondrej Vasik 2013-04-07 12:22:29 EDT
I think this is not xmlto issue - more likely passivetex or texlive issue. I will try to find the culprit and reassign this bugzilla if possible. If passivetex is the issue, then this is likely unsolvable, as its upstream is dead for many years...
Comment 2 Frank Ch. Eigler 2013-04-07 12:26:28 EDT
Thanks for looking into it.
If these underlying tex systems aren't up to the job, perhaps consider defaulting to --with-fop, and have the RPM Require: fop etc.
Comment 3 Ondrej Vasik 2013-04-08 09:28:21 EDT
Problem with --with-fop is that it brings in whole Java ... this is too much for simple documentation build. Even passivetex+texlive is quite big. Other option is to default to dblatex (approach used by debian, as they dropped the passivetex support ~2 years ago and I added the support for dblatex to xmlto for them). I'll think about it, at the moment, the passivetex+texlive handles most of the documents well, unfortunately, not all of them. We'll see, most of the passivetex isues so far were solvable by docbook-style-xsl modifications.
Comment 4 Mark Wielaard 2013-10-01 08:41:11 EDT
I am seeing the same error when trying to generate the valgrind manual.
It happens when invoking "pdfxmltex index.fo"

(/usr/share/texlive/texmf-dist/tex/latex/base/ts1cmr.fd)
(/usr/share/texlive/texmf-dist/tex/latex/psnfss/t1ptm.fd)
(/usr/share/texlive/texmf-dist/tex/context/base/supp-pdf.mkii
[Loading MPS to PDF converter (version 2006.09.02).]
) (/usr/share/texlive/texmf-dist/tex/latex/oberdiek/epstopdf-base.sty
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/grfext.sty)
! Undefined control sequence.
<recently read> \AppendGraphicsExtensions 
                                          
l.451 \fi
         
? 

Hitting return here seems to get past it, but that is hard to do from the build/Makefile.

The original index.fo is generated by:

xsltproc --nonet --xinclude -o ../docs/print/index.fo ../docs/lib/vg-fo.xsl ../docs/xml/index.xml

Should I adapt the xsltproc invocation or the pdftex invocation?
Or is the above not the same as the original reported issue?
Comment 5 Ondrej Vasik 2013-10-01 10:13:58 EDT
In my opinion, it is some dependency issue within the texlive, because it works for me with the latest docbook stylesheets and xmlto on my texlive-less rhel-6 system. There was recent replacement of xmltex package by texlive equivalent in Fedora and some dependency glitches in generated texlive stuff might be the culprit. Moving to texlive, as pdfxmltex comes from there and xmlto is not the only reproducer.
Comment 6 Mark Wielaard 2013-10-01 13:15:08 EDT
The following "fixes" it for me. Comment out the followin section in /usr/share/texlive/texmf-dist/tex/latex/oberdiek/epstopdf-base.sty around line 450:

%% \ifETE@prepend
%%   \expandafter\PrependGraphicsExtensions
%% \else
%%   \expandafter\AppendGraphicsExtensions
%% \fi
%% {.eps}

But I admit to not know what I am doing. But with the above I can build the valgrind manual again.

The above is against the file in 3:texlive-oberdiek-svn30469.0-0.1.fc19.noarch
Comment 7 Mark Wielaard 2014-03-11 11:37:09 EDT
Still an issue in f20. Workaround from comment #6 still works against texlive-oberdiek-svn30469.0-4.fc20.noarch
Comment 8 Mark Wielaard 2014-12-18 06:41:07 EST
I am also seeing this issue with texlive-oberdiek-svn26725.0-32.el7.noarch
Comment 9 Fedora End Of Life 2015-05-29 04:58:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 20:37:55 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Mark Wielaard 2015-09-08 05:46:32 EDT
This can still be replicated against the latest texlive-oberdiek-svn33322.0-8.fc22.noarch
Comment 12 Fedora End Of Life 2016-07-19 06:09:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.